Subject: Re: [PATCH net-next 3/3] ice: add write functionality for GNSS TTY

From: Jakub Kicinski <[email-masked]>
Date: Mon, 23 May 2022 10:58:50 -0700

On Mon, 23 May 2022 16:56:44 +0000 Kolacinski, Karol wrote:
> On Thu, 19 May 2022 06:57 +0200 Jakub Kicinski wrote:
> > > Create a second read-only TTY device.  
> > 
> > Can you say more about how the TTY devices are discovered, and why there
> > are two of them? Would be great if that info was present under
> > Documentation/  
> 
> Both TTY devices are used for the same GNSS module. First one is
> read/write and the second one is read only. They are discovered by
> checking ICE_E810T_P0_GNSS_PRSNT_N bit in ICE_PCA9575_P0_IN register.
> This means that the GNSS module is physically present on the PCB.
> The design with one RW and one RO TTY device was requested by
> customers.

I meant discovered at the uAPI level. Imagine I plug in a shiny E810T
with a GNSS receiver into a box, the PRSNT_N bit is set and the driver
registered the ttys. How do I find the GNSS under /dev ?